/*   command_line.c   */

#include "command_line.h"

int
valid_command_line(arg_list, tailname)
char *arg_list[];
int *tailname;
{
   int vs_index = 0;
   int al_index = 0;                 
   int found = 1;
   
   while(arg_list[al_index] != NULL)
   {
      for(vs_index = 0; vs_index<14; vs_index++)
      {
	 if(!strcmp(arg_list[al_index], valid_switch[vs_index]))
	 {
	    found = 1;
	    if(!strcmp(arg_list[al_index], "-tn")) {
	       *tailname = 1;
	       set_use_tail();
	       }
	    else if(!strcmp(arg_list[al_index], "-print"))
	       PRINT = TRUE;
	    else if(!strcmp(arg_list[al_index], "-kill"))
	       KILL = TRUE;
	    else if(!strcmp(arg_list[al_index], "-nice"))
	       NICE = TRUE;
	    /* Not sure about use of sort */
	    else if(!strcmp(arg_list[al_index], "-sort"))
	       SORT = TRUE;
	    /* Exec needs to capture the exec string (i.e., 
	       ... \{\} ... \; */
	    else if(!strcmp(arg_list[al_index], "-exec"))
	       EXEC = TRUE;
	    break;
	 }
	 else
	 {
	    if(arg_list[al_index][0] != '-')
	       found = 1;
	    else
	       found = 0;
	 }
      }
      al_index += 1;
   }
   return(found);
}

int
get_arg_position(arg_list, arg_to_get)
char *arg_list[];
char *arg_to_get;
{
     int al_index = 0;
     
     while(arg_list[al_index] != NULL)
     {
	  if(!strcmp(arg_list[al_index], arg_to_get))
	       return(al_index + 1);
	  else
	       al_index++;
     }
     return -1;
}






